#
# $Id$
#
%define perlvendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define srcname rpmbootstrap

Summary:	Tool similar to debootstrap for RPM based distributions
Summary(fr):	La cmde rpmbootstrap crée un chroot pour une distro RPM donnée

Name:		rpmbootstrap
Version:	0.11.2
Release:	%mkrel 1
License:	GPLv2
Group:		System/Configuration/Packaging
Url:		http://trac.project-builder.org
Source:		ftp://ftp.project-builder.org/src/%{srcname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildArch:	noarch
Requires:	perl >= 5.8.4,perl-ProjectBuilder,perl-libwww-perl, 

%description
It helps building a chrooted environment for RPM based distributions
in a similar way as debootstrap for deb based distributions.

%description -l fr
La commande rpmbootstrap crée un environnement chrooté pour la distribution
RPM concernée.
Il est similaire à debootstrap pour les distributions .deb

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/ 
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%check
make test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS AUTHORS
%doc INSTALL COPYING README

#%{perlvendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
#%{_mandir}/man3/*


%changelog
* Mon Mar 21 2011 bcornec <bcornec> 0.11.2-1.mga1
+ Revision: 75271
- Update to upstream rpmbootstrap 0.11.2

* Sat Feb 12 2011 bcornec <bcornec> 0.10.1-1.mga1
+ Revision: 50869
- Created package structure for rpmbootstrap.

